#procedure diracequation()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to apply dirac equation to available spinors 
** Begun on 06/02/03


** First we introduce a dummy NC function, ident to be pushed manually to the beginning
id omega(line?,sg?)=ident(line)*omega(line,sg);

repeat;
  id gamma(line?,?a)*ident(line?)=ident(line)*gamma(line,?a);
endrepeat;

*We apply the real Dirac eq. having into account which kind of spinors we have,
* see for instance page 115 of alorca Book: Loops & Techniques

*Case of ingoing particles
#do part=1,2
  #if `u{`part'}' == +1
    id gamma(`l{`part'}',`absep{`part'}')*omega(`l{`part'}',sg?)=+omega(`l{`part'}',-sg)*`em{`part'}';
  #elseif `u{`part'}' == -1
    id ident(`l{`part'}')*gamma(`l{`part'}',`absep{`part'}')= -1*`em{`part'}';
  #else
    #message [diracequation: Bad defined particle code, u`part' at `PROCESSNAME'.in]
  #endif
#enddo

*Case of outgoing particles
#do part=3,4
  #if `u{`part'}' == +1
    id ident(`l{`part'}')*gamma(`l{`part'}',`absep{`part'}')= -1*`em{`part'}';
  #elseif `u{`part'}' == -1
    id gamma(`l{`part'}',`absep{`part'}')*omega(`l{`part'}',sg?)=+omega(`l{`part'}',-sg)*`em{`part'}';
  #else
    #message [diracequation: Bad defined particle code, u`part' at `PROCESSNAME'.in]
  #endif
#enddo

id ident(?a)=1;

#endprocedure
*$Id: diracequation.prc,v 1.4 2004/10/08 14:28:11 alorca Exp $
