#procedure reductionLT()
* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to reduce scalar tensor integrals to master integrals
** applying the Denner Dittmaier 02 algorithm: hep-ph/0212259
** Begun on 01/12/02


.sort
auto S MM,PP,QQ,aa,bb,cc,dd;
CF D0i,C0i,B0i,A0i,Targ;
CF T0,T1,T2,T3,T4,T5;
**----------------------------------------------------------------------
** 4-point functions
#message [reductionLT: ** Beginning reduction of 4-point integrals] **
id D0i(dd11,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(1/2*MM0*PP1*QQ1-1/2*MM0*PP2*PP3+1/4*MM0*PP2*QQ3-1/4
         *MM0*PP2*QQ2-3/4*MM0*PP2*QQ1+1/4*MM0*PP2^2-1/4*MM0*PP3*QQ3+1/4
         *MM0*PP3*QQ2-3/4*MM0*PP3*QQ1+1/4*MM0*PP3^2-1/4*MM0*QQ3*QQ1-1/4
         *MM0*QQ2*QQ1+1/2*MM0*QQ1^2+MM1*PP2*PP3+MM1*PP2*QQ1-1/2*MM1*
         PP2^2+MM1*PP3*QQ1-1/2*MM1*PP3^2-1/2*MM1*QQ1^2+1/4*PP1*MM2*PP2-
         1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ1-1/4*PP1*PP2*MM3-1/2*PP1*PP2*
         PP3-3/4*PP1*PP2*QQ1+1/4*PP1*PP2^2+1/4*PP1*MM3*PP3-1/4*PP1*MM3*
         QQ1-3/4*PP1*PP3*QQ1+1/4*PP1*PP3^2+1/2*PP1*QQ1^2-1/4*MM2*PP2*
         PP3-1/4*MM2*PP2*QQ2+1/2*MM2*PP3*QQ3-1/4*MM2*PP3*QQ2-1/4*MM2*
         PP3*QQ1+1/4*MM2*PP3^2+1/4*MM2*QQ2*QQ1-1/4*PP2*MM3*PP3-1/4*PP2*
         MM3*QQ3+1/2*PP2*MM3*QQ2-1/4*PP2*MM3*QQ1-1/4*PP2*PP3*QQ3-1/4*
         PP2*PP3*QQ2+1/2*PP2*PP3*QQ1-1/4*PP2*QQ2*QQ1+1/4*PP2^2*MM3+1/4*
         PP2^2*QQ2-1/4*MM3*PP3*QQ3+1/4*MM3*QQ3*QQ1-1/4*PP3*QQ3*QQ1+1/4*
         PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP2*PP3-1/2*MM0*PP2*QQ1+1/4*MM0*PP2^2
         -1/2*MM0*PP3*QQ1+1/4*MM0*PP3^2+1/4*MM0*QQ1^2+1/2*MM2*PP2*PP3+1/
         2*MM2*PP2*QQ1-1/4*MM2*PP2^2+1/2*MM2*PP3*QQ1-1/4*MM2*PP3^2-1/4*
         MM2*QQ1^2-1/2*PP2*PP3*QQ1+1/4*PP2*PP3^2+1/4*PP2*QQ1^2-1/2*
         PP2^2*PP3-1/2*PP2^2*QQ1+1/4*PP2^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP2*PP3-1/2*MM0*PP2*QQ1+1/4*MM0*PP2^2
         -1/2*MM0*PP3*QQ1+1/4*MM0*PP3^2+1/4*MM0*QQ1^2+1/2*PP2*MM3*PP3+1/
         2*PP2*MM3*QQ1-1/2*PP2*PP3*QQ1-1/2*PP2*PP3^2-1/4*PP2^2*MM3+1/4*
         PP2^2*PP3+1/2*MM3*PP3*QQ1-1/4*MM3*PP3^2-1/4*MM3*QQ1^2+1/4*PP3*
         QQ1^2-1/2*PP3^2*QQ1+1/4*PP3^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-MM0*PP2*PP3-MM0*PP2*QQ1+1/2*MM0*PP2^2-MM0*PP3
         *QQ1+1/2*MM0*PP3^2+1/2*MM0*QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(-1/4*PP1*PP2+1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ3+1/
         2*PP2*QQ2-1/4*PP2*QQ1+1/4*PP2^2-1/4*PP3*QQ3+1/4*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/2*PP1*QQ1-1/4*PP2*QQ3+1/4*PP2*QQ2+1/4*PP2*QQ1+1/4*PP3*QQ3-1/
         4*PP3*QQ2+1/4*PP3*QQ1+1/4*QQ3*QQ1+1/4*QQ2*QQ1-1/4*QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/2*PP1*QQ1-1/4*PP2*QQ3+1/4*PP2*QQ2+1/4*PP2*QQ1+1/4*PP3*QQ3-1/
         4*PP3*QQ2+1/4*PP3*QQ1+1/4*QQ3*QQ1+1/4*QQ2*QQ1-1/4*QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/2*PP1*QQ1-1/2*PP2*PP3-1/4*PP2*QQ3+1/4*PP2*QQ2-1/4*PP2*QQ1+1/
         4*PP2^2+1/4*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ3*
         QQ1+1/4*QQ2*QQ1);
.sort
id D0i(dd12,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(-1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+1/4*MM0*PP1*QQ1+1/
         4*MM0*PP2*PP3+1/4*MM0*PP2*QQ2-1/2*MM0*PP3*QQ3+1/4*MM0*PP3*QQ2+
         1/4*MM0*PP3*QQ1-1/4*MM0*PP3^2-1/4*MM0*QQ2*QQ1+1/4*MM1*PP1*PP2-
         1/4*MM1*PP1*PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*
         QQ2+1/2*MM1*PP3*QQ3-1/4*MM1*PP3*QQ2-1/4*MM1*PP3*QQ1+1/4*MM1*
         PP3^2+1/4*MM1*QQ2*QQ1+1/4*PP1*PP2*PP3+1/4*PP1*PP2*QQ2-1/2*PP1*
         PP3*QQ3+1/4*PP1*PP3*QQ2+1/4*PP1*PP3*QQ1-1/4*PP1*PP3^2-1/4*PP1*
         QQ2*QQ1-1/4*PP1^2*PP2+1/4*PP1^2*PP3+1/4*PP1^2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+3/4*MM0*PP1*
         QQ1+1/4*MM0*PP2*PP3+1/4*MM0*PP2*QQ3-1/4*MM0*PP2*QQ1-3/4*MM0*
         PP3*QQ3+1/2*MM0*PP3*QQ2-1/4*MM0*PP3^2-1/4*MM0*QQ3*QQ1-1/2*MM0*
         QQ2*QQ1+1/4*MM0*QQ1^2+1/2*MM1*PP2*PP3+1/2*MM1*PP2*QQ1-1/4*MM1*
         PP2^2+1/2*MM1*PP3*QQ1-1/4*MM1*PP3^2-1/4*MM1*QQ1^2+1/2*PP1*MM2*
         PP2-1/2*PP1*MM2*PP3-1/2*PP1*MM2*QQ1-1/4*PP1*PP2*MM3+1/4*PP1*
         PP2*PP3-1/4*PP1*PP2^2+1/4*PP1*MM3*PP3-1/4*PP1*MM3*QQ1-1/4*PP1*
         PP3*QQ1+1/4*PP1*QQ1^2-1/2*MM2*PP2*PP3-1/2*MM2*PP2*QQ2+MM2*PP3*
         QQ3-1/2*MM2*PP3*QQ2-1/2*MM2*PP3*QQ1+1/2*MM2*PP3^2+1/2*MM2*QQ2*
         QQ1-1/4*PP2*MM3*PP3-1/4*PP2*MM3*QQ3+1/2*PP2*MM3*QQ2-1/4*PP2*
         MM3*QQ1-3/4*PP2*PP3*QQ3+3/4*PP2*PP3*QQ1-1/4*PP2*PP3^2-1/2*PP2*
         QQ2*QQ1+1/4*PP2^2*MM3+1/4*PP2^2*PP3+1/2*PP2^2*QQ2-1/4*MM3*PP3*
         QQ3+1/4*MM3*QQ3*QQ1-1/4*PP3*QQ3*QQ1+1/4*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+1/4*MM0*PP1*
         QQ1+1/4*MM0*PP2*PP3+1/4*MM0*PP2*QQ2-1/2*MM0*PP3*QQ3+1/4*MM0*
         PP3*QQ2+1/4*MM0*PP3*QQ1-1/4*MM0*PP3^2-1/4*MM0*QQ2*QQ1+1/4*PP1*
         PP2*MM3-1/4*PP1*PP2*PP3-1/4*PP1*MM3*PP3-1/4*PP1*MM3*QQ1+1/4*
         PP1*PP3*QQ1+1/4*PP1*PP3^2-1/4*PP2*MM3*PP3-1/4*PP2*MM3*QQ2+1/4*
         PP2*PP3*QQ2+1/4*PP2*PP3^2+1/2*MM3*PP3*QQ3-1/4*MM3*PP3*QQ2-1/4*
         MM3*PP3*QQ1+1/4*MM3*PP3^2+1/4*MM3*QQ2*QQ1-1/4*PP3*QQ2*QQ1-1/2*
         PP3^2*QQ3+1/4*PP3^2*QQ2+1/4*PP3^2*QQ1-1/4*PP3^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP1*PP2+1/2*MM0*PP1*PP3+1/2*MM0*PP1*
         QQ1+1/2*MM0*PP2*PP3+1/2*MM0*PP2*QQ2-MM0*PP3*QQ3+1/2*MM0*PP3*
         QQ2+1/2*MM0*PP3*QQ1-1/2*MM0*PP3^2-1/2*MM0*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/2*PP2*PP3+1/2*PP2*QQ1-1/4*PP2^2+1/2*PP3*QQ1-1/4*PP3^2-1/4*
         QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/2*PP1*QQ1+1/4*PP2*QQ3-1/4*PP2*QQ2-1/4*PP2*QQ1-1/4*PP3*QQ3+1/
         4*PP3*QQ2-1/4*PP3*QQ1-1/4*QQ3*QQ1-1/4*QQ2*QQ1+1/4*QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(-1/4*PP1*PP2+1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ3+1/
         2*PP2*QQ2-1/4*PP2*QQ1+1/4*PP2^2-1/4*PP3*QQ3+1/4*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/4*PP1*PP2+1/4*PP1*PP3+1/4*PP1*QQ1+1/4*PP2*PP3+1/4*PP2*QQ2-1/
         2*PP3*QQ3+1/4*PP3*QQ2+1/4*PP3*QQ1-1/4*PP3^2-1/4*QQ2*QQ1);
.sort
id D0i(dd13,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(1/4*MM0*PP1*PP2-1/4*MM0*PP1*PP3+1/4*MM0*PP1*QQ1+1/4
         *MM0*PP2*PP3+1/4*MM0*PP2*QQ3-1/2*MM0*PP2*QQ2+1/4*MM0*PP2*QQ1-1/
         4*MM0*PP2^2+1/4*MM0*PP3*QQ3-1/4*MM0*QQ3*QQ1-1/4*MM1*PP1*PP2+1/
         4*MM1*PP1*PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ3+
         1/2*MM1*PP2*QQ2-1/4*MM1*PP2*QQ1+1/4*MM1*PP2^2-1/4*MM1*PP3*QQ3+
         1/4*MM1*QQ3*QQ1+1/4*PP1*PP2*PP3+1/4*PP1*PP2*QQ3-1/2*PP1*PP2*
         QQ2+1/4*PP1*PP2*QQ1-1/4*PP1*PP2^2+1/4*PP1*PP3*QQ3-1/4*PP1*QQ3*
         QQ1+1/4*PP1^2*PP2-1/4*PP1^2*PP3+1/4*PP1^2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/4*MM0*PP1*PP2-1/4*MM0*PP1*PP3+1/4*MM0*PP1*
         QQ1+1/4*MM0*PP2*PP3+1/4*MM0*PP2*QQ3-1/2*MM0*PP2*QQ2+1/4*MM0*
         PP2*QQ1-1/4*MM0*PP2^2+1/4*MM0*PP3*QQ3-1/4*MM0*QQ3*QQ1-1/4*PP1*
         MM2*PP2+1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ1-1/4*PP1*PP2*PP3+1/4*
         PP1*PP2*QQ1+1/4*PP1*PP2^2-1/4*MM2*PP2*PP3-1/4*MM2*PP2*QQ3+1/2*
         MM2*PP2*QQ2-1/4*MM2*PP2*QQ1+1/4*MM2*PP2^2-1/4*MM2*PP3*QQ3+1/4*
         MM2*QQ3*QQ1+1/4*PP2*PP3*QQ3-1/4*PP2*QQ3*QQ1+1/4*PP2^2*PP3+1/4*
         PP2^2*QQ3-1/2*PP2^2*QQ2+1/4*PP2^2*QQ1-1/4*PP2^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/4*MM0*PP1*PP2-1/4*MM0*PP1*PP3+3/4*MM0*PP1*
         QQ1+1/4*MM0*PP2*PP3+1/2*MM0*PP2*QQ3-3/4*MM0*PP2*QQ2-1/4*MM0*
         PP2^2+1/4*MM0*PP3*QQ2-1/4*MM0*PP3*QQ1-1/2*MM0*QQ3*QQ1-1/4*MM0*
         QQ2*QQ1+1/4*MM0*QQ1^2+1/2*MM1*PP2*PP3+1/2*MM1*PP2*QQ1-1/4*MM1*
         PP2^2+1/2*MM1*PP3*QQ1-1/4*MM1*PP3^2-1/4*MM1*QQ1^2+1/4*PP1*MM2*
         PP2-1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ1-1/2*PP1*PP2*MM3+1/4*PP1*
         PP2*PP3-1/4*PP1*PP2*QQ1+1/2*PP1*MM3*PP3-1/2*PP1*MM3*QQ1-1/4*
         PP1*PP3^2+1/4*PP1*QQ1^2-1/4*MM2*PP2*PP3-1/4*MM2*PP2*QQ2+1/2*
         MM2*PP3*QQ3-1/4*MM2*PP3*QQ2-1/4*MM2*PP3*QQ1+1/4*MM2*PP3^2+1/4*
         MM2*QQ2*QQ1-1/2*PP2*MM3*PP3-1/2*PP2*MM3*QQ3+PP2*MM3*QQ2-1/2*
         PP2*MM3*QQ1-3/4*PP2*PP3*QQ2+3/4*PP2*PP3*QQ1+1/4*PP2*PP3^2-1/4*
         PP2*QQ2*QQ1+1/2*PP2^2*MM3-1/4*PP2^2*PP3+1/4*PP2^2*QQ2-1/2*MM3*
         PP3*QQ3+1/2*MM3*QQ3*QQ1-1/2*PP3*QQ3*QQ1+1/2*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/2*MM0*PP1*PP2-1/2*MM0*PP1*PP3+1/2*MM0*PP1*
         QQ1+1/2*MM0*PP2*PP3+1/2*MM0*PP2*QQ3-MM0*PP2*QQ2+1/2*MM0*PP2*
         QQ1-1/2*MM0*PP2^2+1/2*MM0*PP3*QQ3-1/2*MM0*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/2*PP2*PP3+1/2*PP2*QQ1-1/4*PP2^2+1/2*PP3*QQ1-1/4*PP3^2-1/4*
         QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/2*PP1*QQ1+1/4*PP2*QQ3-1/4*PP2*QQ2-1/4*PP2*QQ1-1/4*PP3*QQ3+1/
         4*PP3*QQ2-1/4*PP3*QQ1-1/4*QQ3*QQ1-1/4*QQ2*QQ1+1/4*QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3+1/4*PP1*QQ1+1/4*PP2*PP3+1/4*PP2*QQ3-1/
         2*PP2*QQ2+1/4*PP2*QQ1-1/4*PP2^2+1/4*PP3*QQ3-1/4*QQ3*QQ1);
.sort
id D0i(dd22,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(-1/2*MM0*PP1*PP3-1/2*MM0*PP1*QQ2+1/4*MM0*PP1^2-1/2*
         MM0*PP3*QQ2+1/4*MM0*PP3^2+1/4*MM0*QQ2^2+1/2*MM1*PP1*PP3+1/2*
         MM1*PP1*QQ2-1/4*MM1*PP1^2+1/2*MM1*PP3*QQ2-1/4*MM1*PP3^2-1/4*
         MM1*QQ2^2-1/2*PP1*PP3*QQ2+1/4*PP1*PP3^2+1/4*PP1*QQ2^2-1/2*
         PP1^2*PP3-1/2*PP1^2*QQ2+1/4*PP1^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP1*PP3+1/4*MM0*PP1*QQ3-3/4*MM0*PP1*
         QQ2-1/4*MM0*PP1*QQ1+1/4*MM0*PP1^2+1/2*MM0*PP2*QQ2-1/4*MM0*PP3*
         QQ3-3/4*MM0*PP3*QQ2+1/4*MM0*PP3*QQ1+1/4*MM0*PP3^2-1/4*MM0*QQ3*
         QQ2-1/4*MM0*QQ2*QQ1+1/2*MM0*QQ2^2+1/4*MM1*PP1*PP2-1/4*MM1*PP1*
         PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ2+1/2*MM1*
         PP3*QQ3-1/4*MM1*PP3*QQ2-1/4*MM1*PP3*QQ1+1/4*MM1*PP3^2+1/4*MM1*
         QQ2*QQ1+PP1*MM2*PP3+PP1*MM2*QQ2-1/4*PP1*PP2*MM3-1/2*PP1*PP2*
         PP3-3/4*PP1*PP2*QQ2-1/4*PP1*MM3*PP3-1/4*PP1*MM3*QQ3-1/4*PP1*
         MM3*QQ2+1/2*PP1*MM3*QQ1-1/4*PP1*PP3*QQ3+1/2*PP1*PP3*QQ2-1/4*
         PP1*PP3*QQ1-1/4*PP1*QQ2*QQ1-1/2*PP1^2*MM2+1/4*PP1^2*PP2+1/4*
         PP1^2*MM3+1/4*PP1^2*QQ1+MM2*PP3*QQ2-1/2*MM2*PP3^2-1/2*MM2*
         QQ2^2+1/4*PP2*MM3*PP3-1/4*PP2*MM3*QQ2-3/4*PP2*PP3*QQ2+1/4*PP2*
         PP3^2+1/2*PP2*QQ2^2-1/4*MM3*PP3*QQ3+1/4*MM3*QQ3*QQ2-1/4*PP3*
         QQ3*QQ2+1/4*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP1*PP3-1/2*MM0*PP1*QQ2+1/4*MM0*PP1^2
         -1/2*MM0*PP3*QQ2+1/4*MM0*PP3^2+1/4*MM0*QQ2^2+1/2*PP1*MM3*PP3+1/
         2*PP1*MM3*QQ2-1/2*PP1*PP3*QQ2-1/2*PP1*PP3^2-1/4*PP1^2*MM3+1/4*
         PP1^2*PP3+1/2*MM3*PP3*QQ2-1/4*MM3*PP3^2-1/4*MM3*QQ2^2+1/4*PP3*
         QQ2^2-1/2*PP3^2*QQ2+1/4*PP3^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-MM0*PP1*PP3-MM0*PP1*QQ2+1/2*MM0*PP1^2-MM0*PP3
         *QQ2+1/2*MM0*PP3^2+1/2*MM0*QQ2^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc1,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/4*PP1*QQ3-1/4*PP1*QQ2-1/4*PP1*QQ1+1/2*PP2*QQ2-1/4*PP3*QQ3-1/
         4*PP3*QQ2+1/4*PP3*QQ1-1/4*QQ3*QQ2-1/4*QQ2*QQ1+1/4*QQ2^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(-1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ3-1/4*PP1*QQ2+1/2*PP1*QQ1+1/
         4*PP1^2+1/4*PP2*PP3-1/4*PP2*QQ2-1/4*PP3*QQ3+1/4*QQ3*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/2*PP1*PP3-1/2*PP1*QQ2+1/4*PP1^2-1/2*PP3*QQ2+1/4*PP3^2+1/4*
         QQ2^2);
.sort
id D0i(dd23,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+1/4*MM0*PP1*QQ3+1/4
         *MM0*PP1*QQ2-1/2*MM0*PP1*QQ1-1/4*MM0*PP1^2-1/4*MM0*PP2*PP3+1/4
         *MM0*PP2*QQ2+1/4*MM0*PP3*QQ3-1/4*MM0*QQ3*QQ2-1/4*MM1*PP1*PP2-1/
         4*MM1*PP1*PP3-1/4*MM1*PP1*QQ3-1/4*MM1*PP1*QQ2+1/2*MM1*PP1*QQ1+
         1/4*MM1*PP1^2+1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ2-1/4*MM1*PP3*QQ3+
         1/4*MM1*QQ3*QQ2-1/4*PP1*PP2*PP3+1/4*PP1*PP2*QQ2+1/4*PP1*PP3*
         QQ3-1/4*PP1*QQ3*QQ2+1/4*PP1^2*PP2+1/4*PP1^2*PP3+1/4*PP1^2*QQ3+
         1/4*PP1^2*QQ2-1/2*PP1^2*QQ1-1/4*PP1^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+1/4*MM0*PP1*
         QQ3+1/4*MM0*PP1*QQ2-1/2*MM0*PP1*QQ1-1/4*MM0*PP1^2-1/4*MM0*PP2*
         PP3+1/4*MM0*PP2*QQ2+1/4*MM0*PP3*QQ3-1/4*MM0*QQ3*QQ2-1/4*PP1*
         MM2*PP2-1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ3-1/4*PP1*MM2*QQ2+1/2*
         PP1*MM2*QQ1+1/4*PP1*PP2*PP3+1/4*PP1*PP2*QQ3+1/4*PP1*PP2*QQ2-1/
         2*PP1*PP2*QQ1+1/4*PP1*PP2^2+1/4*PP1^2*MM2-1/4*PP1^2*PP2+1/4*
         MM2*PP2*PP3-1/4*MM2*PP2*QQ2-1/4*MM2*PP3*QQ3+1/4*MM2*QQ3*QQ2+1/
         4*PP2*PP3*QQ3-1/4*PP2*QQ3*QQ2-1/4*PP2^2*PP3+1/4*PP2^2*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/4*MM0*PP1*PP2+1/4*MM0*PP1*PP3+1/2*MM0*PP1*
         QQ3-3/4*MM0*PP1*QQ1-1/4*MM0*PP1^2-1/4*MM0*PP2*PP3+3/4*MM0*PP2*
         QQ2-1/4*MM0*PP3*QQ2+1/4*MM0*PP3*QQ1-1/2*MM0*QQ3*QQ2-1/4*MM0*
         QQ2*QQ1+1/4*MM0*QQ2^2+1/4*MM1*PP1*PP2-1/4*MM1*PP1*PP3-1/4*MM1*
         PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ2+1/2*MM1*PP3*QQ3-1/4*
         MM1*PP3*QQ2-1/4*MM1*PP3*QQ1+1/4*MM1*PP3^2+1/4*MM1*QQ2*QQ1+1/2*
         PP1*MM2*PP3+1/2*PP1*MM2*QQ2-1/2*PP1*PP2*MM3+1/4*PP1*PP2*PP3-1/
         4*PP1*PP2*QQ2-1/2*PP1*MM3*PP3-1/2*PP1*MM3*QQ3-1/2*PP1*MM3*QQ2+
         PP1*MM3*QQ1+3/4*PP1*PP3*QQ2-3/4*PP1*PP3*QQ1+1/4*PP1*PP3^2-1/4*
         PP1*QQ2*QQ1-1/4*PP1^2*MM2+1/2*PP1^2*MM3-1/4*PP1^2*PP3+1/4*
         PP1^2*QQ1+1/2*MM2*PP3*QQ2-1/4*MM2*PP3^2-1/4*MM2*QQ2^2+1/2*PP2*
         MM3*PP3-1/2*PP2*MM3*QQ2-1/4*PP2*PP3^2+1/4*PP2*QQ2^2-1/2*MM3*
         PP3*QQ3+1/2*MM3*QQ3*QQ2-1/2*PP3*QQ3*QQ2+1/2*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(1/2*MM0*PP1*PP2+1/2*MM0*PP1*PP3+1/2*MM0*PP1*
         QQ3+1/2*MM0*PP1*QQ2-MM0*PP1*QQ1-1/2*MM0*PP1^2-1/2*MM0*PP2*PP3+
         1/2*MM0*PP2*QQ2+1/2*MM0*PP3*QQ3-1/2*MM0*QQ3*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(1/2*PP1*PP3+1/2*PP1*QQ2-1/4*PP1^2+1/2*PP3*QQ2-1/4*PP3^2-1/4*
         QQ2^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/4*PP1*QQ3-1/4*PP1*QQ2-1/4*PP1*QQ1+1/2*PP2*QQ2-1/4*PP3*QQ3-1/
         4*PP3*QQ2+1/4*PP3*QQ1-1/4*QQ3*QQ2-1/4*QQ2*QQ1+1/4*QQ2^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/4*PP1*PP2+1/4*PP1*PP3+1/4*PP1*QQ3+1/4*PP1*QQ2-1/2*PP1*QQ1-1/
         4*PP1^2-1/4*PP2*PP3+1/4*PP2*QQ2+1/4*PP3*QQ3-1/4*QQ3*QQ2);
.sort
id D0i(dd33,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(
      3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,
      MM1,MM2,MM3)*(-1/2*MM0*PP1*PP2-1/2*MM0*PP1*QQ3+1/4*MM0*PP1^2-1/2*
         MM0*PP2*QQ3+1/4*MM0*PP2^2+1/4*MM0*QQ3^2+1/2*MM1*PP1*PP2+1/2*
         MM1*PP1*QQ3-1/4*MM1*PP1^2+1/2*MM1*PP2*QQ3-1/4*MM1*PP2^2-1/4*
         MM1*QQ3^2-1/2*PP1*PP2*QQ3+1/4*PP1*PP2^2+1/4*PP1*QQ3^2-1/2*
         PP1^2*PP2-1/2*PP1^2*QQ3+1/4*PP1^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP1*PP2-1/2*MM0*PP1*QQ3+1/4*MM0*PP1^2
         -1/2*MM0*PP2*QQ3+1/4*MM0*PP2^2+1/4*MM0*QQ3^2+1/2*PP1*MM2*PP2+1/
         2*PP1*MM2*QQ3-1/2*PP1*PP2*QQ3-1/2*PP1*PP2^2-1/4*PP1^2*MM2+1/4*
         PP1^2*PP2+1/2*MM2*PP2*QQ3-1/4*MM2*PP2^2-1/4*MM2*QQ3^2+1/4*PP2*
         QQ3^2-1/2*PP2^2*QQ3+1/4*PP2^3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-1/2*MM0*PP1*PP2-3/4*MM0*PP1*QQ3+1/4*MM0*PP1*
         QQ2-1/4*MM0*PP1*QQ1+1/4*MM0*PP1^2-3/4*MM0*PP2*QQ3-1/4*MM0*PP2*
         QQ2+1/4*MM0*PP2*QQ1+1/4*MM0*PP2^2+1/2*MM0*PP3*QQ3-1/4*MM0*QQ3*
         QQ2-1/4*MM0*QQ3*QQ1+1/2*MM0*QQ3^2-1/4*MM1*PP1*PP2+1/4*MM1*PP1*
         PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ3+1/2*MM1*
         PP2*QQ2-1/4*MM1*PP2*QQ1+1/4*MM1*PP2^2-1/4*MM1*PP3*QQ3+1/4*MM1*
         QQ3*QQ1-1/4*PP1*MM2*PP2-1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ3-1/4*
         PP1*MM2*QQ2+1/2*PP1*MM2*QQ1+PP1*PP2*MM3-1/2*PP1*PP2*PP3+1/2*
         PP1*PP2*QQ3-1/4*PP1*PP2*QQ2-1/4*PP1*PP2*QQ1+PP1*MM3*QQ3-3/4*
         PP1*PP3*QQ3-1/4*PP1*QQ3*QQ1+1/4*PP1^2*MM2-1/2*PP1^2*MM3+1/4*
         PP1^2*PP3+1/4*PP1^2*QQ1+1/4*MM2*PP2*PP3-1/4*MM2*PP2*QQ2-1/4*
         MM2*PP3*QQ3+1/4*MM2*QQ3*QQ2+PP2*MM3*QQ3-3/4*PP2*PP3*QQ3-1/4*
         PP2*QQ3*QQ2-1/2*PP2^2*MM3+1/4*PP2^2*PP3+1/4*PP2^2*QQ2-1/2*MM3*
         QQ3^2+1/2*PP3*QQ3^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2
      ,MM0,MM1,MM2,MM3)*(-MM0*PP1*PP2-MM0*PP1*QQ3+1/2*MM0*PP1^2-MM0*PP2
         *QQ3+1/2*MM0*PP2^2+1/2*MM0*QQ3^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(-1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ3-1/4*PP1*QQ2+1/2*PP1*QQ1+1/
         4*PP1^2+1/4*PP2*PP3-1/4*PP2*QQ2-1/4*PP3*QQ3+1/4*QQ3*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(-1/4*PP1*PP2+1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ3+1/
         2*PP2*QQ2-1/4*PP2*QQ1+1/4*PP2^2-1/4*PP3*QQ3+1/4*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc2,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/4*PP1*QQ3+1/4*PP1*QQ2-1/4*PP1*QQ1-1/4*PP2*QQ3-1/4*PP2*QQ2+1/
         4*PP2*QQ1+1/2*PP3*QQ3-1/4*QQ3*QQ2-1/4*QQ3*QQ1+1/4*QQ3^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/2*PP1*PP2-1/2*PP1*QQ3+1/4*PP1^2-1/2*PP2*QQ3+1/4*PP2^2+1/4*
         QQ3^2);
.sort
id D0i(dd00,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +D0i(
      dd1,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1,MM2,MM3)*(1/2*MM0-1/2*MM1+1/2
         *PP1)
      +D0i(dd2,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1,MM2,MM3)*(1/2*MM0-1/2*
         MM2+1/2*PP2)
      +D0i(dd3,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1,MM2,MM3)*(1/2*MM0-1/2*
         MM3+1/2*PP3)
      +D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1,MM2,MM3)*(MM0)
      +C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3)*(1/2);
.sort
#message [reductionLT: reduction of tensor-2 integrals finished]
id D0i(dd1,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(3
      ,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1
      ,MM2,MM3)*(1/2*MM0*PP1*QQ1+1/4*MM0*PP2*QQ3-1/4*MM0*PP2*QQ2-1/4*
         MM0*PP2*QQ1-1/4*MM0*PP3*QQ3+1/4*MM0*PP3*QQ2-1/4*MM0*PP3*QQ1-1/
         4*MM0*QQ3*QQ1-1/4*MM0*QQ2*QQ1+1/4*MM0*QQ1^2+1/2*MM1*PP2*PP3+1/
         2*MM1*PP2*QQ1-1/4*MM1*PP2^2+1/2*MM1*PP3*QQ1-1/4*MM1*PP3^2-1/4*
         MM1*QQ1^2+1/4*PP1*MM2*PP2-1/4*PP1*MM2*PP3-1/4*PP1*MM2*QQ1-1/4*
         PP1*PP2*MM3-1/4*PP1*PP2*QQ1+1/4*PP1*MM3*PP3-1/4*PP1*MM3*QQ1-1/
         4*PP1*PP3*QQ1+1/4*PP1*QQ1^2-1/4*MM2*PP2*PP3-1/4*MM2*PP2*QQ2+1/
         2*MM2*PP3*QQ3-1/4*MM2*PP3*QQ2-1/4*MM2*PP3*QQ1+1/4*MM2*PP3^2+1/
         4*MM2*QQ2*QQ1-1/4*PP2*MM3*PP3-1/4*PP2*MM3*QQ3+1/2*PP2*MM3*QQ2-
         1/4*PP2*MM3*QQ1-1/4*PP2*PP3*QQ3-1/4*PP2*PP3*QQ2+1/2*PP2*PP3*
         QQ1-1/4*PP2*QQ2*QQ1+1/4*PP2^2*MM3+1/4*PP2^2*QQ2-1/4*MM3*PP3*
         QQ3+1/4*MM3*QQ3*QQ1-1/4*PP3*QQ3*QQ1+1/4*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(-1/4*PP1*PP2+1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ3+1/
         2*PP2*QQ2-1/4*PP2*QQ1+1/4*PP2^2-1/4*PP3*QQ3+1/4*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/2*PP2*PP3+1/2*PP2*QQ1-1/4*PP2^2+1/2*PP3*QQ1-1/4*PP3^2-1/4*
         QQ1^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/2*PP1*QQ1+1/4*PP2*QQ3-1/4*PP2*QQ2-1/4*PP2*QQ1-1/4*PP3*QQ3+1/
         4*PP3*QQ2-1/4*PP3*QQ1-1/4*QQ3*QQ1-1/4*QQ2*QQ1+1/4*QQ1^2);
.sort
id D0i(dd2,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(3
      ,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1
      ,MM2,MM3)*(1/4*MM0*PP1*QQ3-1/4*MM0*PP1*QQ2-1/4*MM0*PP1*QQ1+1/2*
         MM0*PP2*QQ2-1/4*MM0*PP3*QQ3-1/4*MM0*PP3*QQ2+1/4*MM0*PP3*QQ1-1/
         4*MM0*QQ3*QQ2-1/4*MM0*QQ2*QQ1+1/4*MM0*QQ2^2+1/4*MM1*PP1*PP2-1/
         4*MM1*PP1*PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ2+
         1/2*MM1*PP3*QQ3-1/4*MM1*PP3*QQ2-1/4*MM1*PP3*QQ1+1/4*MM1*PP3^2+
         1/4*MM1*QQ2*QQ1+1/2*PP1*MM2*PP3+1/2*PP1*MM2*QQ2-1/4*PP1*PP2*
         MM3-1/4*PP1*PP2*QQ2-1/4*PP1*MM3*PP3-1/4*PP1*MM3*QQ3-1/4*PP1*
         MM3*QQ2+1/2*PP1*MM3*QQ1-1/4*PP1*PP3*QQ3+1/2*PP1*PP3*QQ2-1/4*
         PP1*PP3*QQ1-1/4*PP1*QQ2*QQ1-1/4*PP1^2*MM2+1/4*PP1^2*MM3+1/4*
         PP1^2*QQ1+1/2*MM2*PP3*QQ2-1/4*MM2*PP3^2-1/4*MM2*QQ2^2+1/4*PP2*
         MM3*PP3-1/4*PP2*MM3*QQ2-1/4*PP2*PP3*QQ2+1/4*PP2*QQ2^2-1/4*MM3*
         PP3*QQ3+1/4*MM3*QQ3*QQ2-1/4*PP3*QQ3*QQ2+1/4*PP3^2*QQ3)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(-1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ3-1/4*PP1*QQ2+1/2*PP1*QQ1+1/
         4*PP1^2+1/4*PP2*PP3-1/4*PP2*QQ2-1/4*PP3*QQ3+1/4*QQ3*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(1/2*PP1*PP3+1/2*PP1*QQ2-1/4*PP1^2+1/2*PP3*QQ2-1/4*PP3^2-1/4*
         QQ2^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ2+1/
         2*PP3*QQ3-1/4*PP3*QQ2-1/4*PP3*QQ1+1/4*PP3^2+1/4*QQ2*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(1/4*PP1*QQ3-1/4*PP1*QQ2-1/4*PP1*QQ1+1/2*PP2*QQ2-1/4*PP3*QQ3-1/
         4*PP3*QQ2+1/4*PP3*QQ1-1/4*QQ3*QQ2-1/4*QQ2*QQ1+1/4*QQ2^2);
.sort
id D0i(dd3,PP1?,QQ3?,QQ1?,PP3?,PP2?,QQ2?,MM0?,MM1?,MM2?,MM3?)= +IGram(3
      ,PP1,QQ3,QQ1,PP3,PP2,QQ2)*D0i(dd0,PP1,QQ3,QQ1,PP3,PP2,QQ2,MM0,MM1
      ,MM2,MM3)*(-1/4*MM0*PP1*QQ3+1/4*MM0*PP1*QQ2-1/4*MM0*PP1*QQ1-1/4*
         MM0*PP2*QQ3-1/4*MM0*PP2*QQ2+1/4*MM0*PP2*QQ1+1/2*MM0*PP3*QQ3-1/
         4*MM0*QQ3*QQ2-1/4*MM0*QQ3*QQ1+1/4*MM0*QQ3^2-1/4*MM1*PP1*PP2+1/
         4*MM1*PP1*PP3-1/4*MM1*PP1*QQ1-1/4*MM1*PP2*PP3-1/4*MM1*PP2*QQ3+
         1/2*MM1*PP2*QQ2-1/4*MM1*PP2*QQ1+1/4*MM1*PP2^2-1/4*MM1*PP3*QQ3+
         1/4*MM1*QQ3*QQ1-1/4*PP1*MM2*PP2-1/4*PP1*MM2*PP3-1/4*PP1*MM2*
         QQ3-1/4*PP1*MM2*QQ2+1/2*PP1*MM2*QQ1+1/2*PP1*PP2*MM3+1/2*PP1*
         PP2*QQ3-1/4*PP1*PP2*QQ2-1/4*PP1*PP2*QQ1+1/2*PP1*MM3*QQ3-1/4*
         PP1*PP3*QQ3-1/4*PP1*QQ3*QQ1+1/4*PP1^2*MM2-1/4*PP1^2*MM3+1/4*
         PP1^2*QQ1+1/4*MM2*PP2*PP3-1/4*MM2*PP2*QQ2-1/4*MM2*PP3*QQ3+1/4*
         MM2*QQ3*QQ2+1/2*PP2*MM3*QQ3-1/4*PP2*PP3*QQ3-1/4*PP2*QQ3*QQ2-1/
         4*PP2^2*MM3+1/4*PP2^2*QQ2-1/4*MM3*QQ3^2+1/4*PP3*QQ3^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2
      )*(1/2*PP1*PP2+1/2*PP1*QQ3-1/4*PP1^2+1/2*PP2*QQ3-1/4*PP2^2-1/4*
         QQ3^2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP1,QQ2,PP3,MM0,MM1,MM3
      )*(-1/4*PP1*PP2-1/4*PP1*PP3-1/4*PP1*QQ3-1/4*PP1*QQ2+1/2*PP1*QQ1+1/
         4*PP1^2+1/4*PP2*PP3-1/4*PP2*QQ2-1/4*PP3*QQ3+1/4*QQ3*QQ2)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,PP2,QQ1,PP3,MM0,MM2,MM3
      )*(-1/4*PP1*PP2+1/4*PP1*PP3-1/4*PP1*QQ1-1/4*PP2*PP3-1/4*PP2*QQ3+1/
         2*PP2*QQ2-1/4*PP2*QQ1+1/4*PP2^2-1/4*PP3*QQ3+1/4*QQ3*QQ1)
      +IGram(3,PP1,QQ3,QQ1,PP3,PP2,QQ2)*C0i(cc0,QQ3,QQ1,QQ2,MM1,MM2,MM3
      )*(-1/4*PP1*QQ3+1/4*PP1*QQ2-1/4*PP1*QQ1-1/4*PP2*QQ3-1/4*PP2*QQ2+1/
         4*PP2*QQ1+1/2*PP3*QQ3-1/4*QQ3*QQ2-1/4*QQ3*QQ1+1/4*QQ3^2);
.sort
#message [reductionLT: reduction of vector integrals finished]
**----------------------------------------------------------------------
** 3-point functions
#message [reductionLT: ** Beginning reduction of 3-point integrals] **
id C0i(cc11,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +IGram(2,PP1,QQ3,PP2)*C0i(
      cc1,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/2*MM0*PP1-MM0*PP2-1/2*MM0*QQ3+3/2
         *MM1*PP2-1/2*PP1*MM2-PP1*PP2-1/2*MM2*PP2+1/2*MM2*QQ3-1/2*PP2*
         QQ3+1/2*PP2^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2)*(-1/2*MM0*
         PP2+1/2*MM2*PP2-1/2*PP2^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(-MM0*PP2)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,PP1,MM0,MM1)*(-1/2*PP1-1/2*PP2+1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,QQ3,MM1,MM2)*(-1/2*PP1+1/2*PP2+1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,QQ3,MM1,MM2)*(-1/2*PP1+1/2*QQ3)
      +IGram(2,PP1,QQ3,PP2)*(-1/2*PP2);
.sort
id C0i(cc12,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +IGram(2,PP1,QQ3,PP2)*C0i(
      cc1,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/4*MM0*PP1+1/4*MM0*PP2-1/4*MM0*QQ3
         -1/4*MM1*PP1-1/4*MM1*PP2+1/4*MM1*QQ3+1/4*PP1*PP2-1/4*PP1*QQ3+1/
         4*PP1^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2)*(3/4*MM0*
         PP1-1/4*MM0*PP2-3/4*MM0*QQ3+MM1*PP2-3/4*PP1*MM2-1/4*PP1*PP2-3/
         4*MM2*PP2+3/4*MM2*QQ3-3/4*PP2*QQ3+3/4*PP2^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/2*MM0*
         PP1+1/2*MM0*PP2-1/2*MM0*QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,PP2,MM0,MM2)*(PP2)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,QQ3,MM1,MM2)*(1/2*PP1-1/2*PP2-1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,QQ3,MM1,MM2)*(1/4*PP1+1/4*PP2-1/4*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*(1/4*PP1+1/4*PP2-1/4*QQ3);
.sort
id C0i(cc22,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +IGram(2,PP1,QQ3,PP2)*C0i(
      cc1,PP1,QQ3,PP2,MM0,MM1,MM2)*(-1/2*MM0*PP1+1/2*MM1*PP1-1/2*PP1^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2)*(-MM0*PP1+
         1/2*MM0*PP2-1/2*MM0*QQ3-1/2*MM1*PP1-1/2*MM1*PP2+1/2*MM1*QQ3+3/
         2*PP1*MM2-PP1*PP2-1/2*PP1*QQ3+1/2*PP1^2)
      +IGram(2,PP1,QQ3,PP2)*C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(-MM0*PP1)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,PP2,MM0,MM2)*(-1/2*PP1-1/2*PP2+1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb1,QQ3,MM1,MM2)*(-1/2*PP1+1/2*PP2-1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,QQ3,MM1,MM2)*(-1/2*PP1)
      +IGram(2,PP1,QQ3,PP2)*(-1/2*PP1);
.sort
id C0i(cc00,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +C0i(cc1,PP1,QQ3,PP2,MM0,
      MM1,MM2)*(1/4*MM0-1/4*MM1+1/4*PP1)
      +C0i(cc2,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/4*MM0-1/4*MM2+1/4*PP2)
      +C0i(cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/2*MM0)
      +B0i(bb0,QQ3,MM1,MM2)*(1/4)
      +1/4;
.sort
#message [reductionLT: reduction of tensor-2 integrals finished]
id C0i(cc1,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +IGram(2,PP1,QQ3,PP2)*C0i(
      cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(1/2*MM0*PP1-1/2*MM0*PP2-1/2*MM0*QQ3
         +MM1*PP2-1/2*PP1*MM2-1/2*PP1*PP2-1/2*MM2*PP2+1/2*MM2*QQ3-1/2*
         PP2*QQ3+1/2*PP2^2)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,PP1,MM0,MM1)*(-1/2*PP1-1/2*PP2+1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,PP2,MM0,MM2)*(PP2)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,QQ3,MM1,MM2)*(1/2*PP1-1/2*PP2-1/2*
         QQ3);
.sort
id C0i(cc2,PP1?,QQ3?,PP2?,MM0?,MM1?,MM2?)= +IGram(2,PP1,QQ3,PP2)*C0i(
      cc0,PP1,QQ3,PP2,MM0,MM1,MM2)*(-1/2*MM0*PP1+1/2*MM0*PP2-1/2*MM0*
         QQ3-1/2*MM1*PP1-1/2*MM1*PP2+1/2*MM1*QQ3+PP1*MM2-1/2*PP1*PP2-1/
         2*PP1*QQ3+1/2*PP1^2)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,PP1,MM0,MM1)*(PP1)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,PP2,MM0,MM2)*(-1/2*PP1-1/2*PP2+1/2*
         QQ3)
      +IGram(2,PP1,QQ3,PP2)*B0i(bb0,QQ3,MM1,MM2)*(-1/2*PP1+1/2*PP2-1/2*
         QQ3);
.sort
#message [reductionLT: reduction of vector integrals finished]
**----------------------------------------------------------------------
** 2-point functions
#message [reductionLT: ** Beginning reduction of 2-point integrals] **
id B0i(bb11,PP1?,MM0?,MM1?)= +IGram(1,PP1)*B0i(bb1,PP1,MM0,MM1)*(-4/3*
         MM0+4/3*MM1-4/3*PP1)
      +IGram(1,PP1)*B0i(bb0,PP1,MM0,MM1)*(-2/3*MM0)
      +IGram(1,PP1)*A0i(aa0,MM1)*(2/3)
      +IGram(1,PP1)*(-1/3*MM0-1/3*MM1+1/9*PP1);
.sort
id B0i(bb00,PP1?,MM0?,MM1?)= +B0i(bb1,PP1,MM0,MM1)*(1/6*MM0-1/6*MM1+1/6
         *PP1)
      +B0i(bb0,PP1,MM0,MM1)*(1/3*MM0)
      +A0i(aa0,MM1)*(1/6)
      +1/6*MM0+1/6*MM1-1/18*PP1;
.sort
#message [reductionLT: reduction of tensor-2 integrals finished]
id B0i(bb1,PP1?,MM0?,MM1?)= +IGram(1,PP1)*B0i(bb0,PP1,MM0,MM1)*(-MM0+
         MM1-PP1)
      +IGram(1,PP1)*A0i(aa0,MM0)*(1)
      +IGram(1,PP1)*A0i(aa0,MM1)*(-1);
.sort
#message [reductionLT: reduction of vector integrals finished]
**----------------------------------------------------------------------
** Symmetry of Gram Determinants
symmetrize IGram:4 3,2,4;
symmetrize IGram:7 (6,7),(2,4),(5,3);
** Symmetry of Scalar Integrals
symmetrize B0i 3,4;
symmetrize C0i (4,6),(2,7),(3,5);
cyclesymmetrize D0i (2,7,8),(3,6,9),(4,7,10),(5,6,11);
symmetrize D0i (3,6,9,11),(5,7,8,10);
symmetrize D0i (2,7,8,9),(4,6,11,10);
symmetrize D0i (2,3,9),(5,4,11);
symmetrize D0i (2,5,8),(3,4,10);
.sort
#endprocedure
*$Id: reductionLT.prc,v 1.3 2004/10/08 14:28:12 alorca Exp $
